#!/usr/bin/python3
"""
// © University of Southampton IT Innovation Centre, 2018
//
// Copyright in this software belongs to University of Southampton
// IT Innovation Centre of Gamma House, Enterprise Road,
// Chilworth Science Park, Southampton, SO16 7NS, UK.
//
// This software may not be used, sold, licensed, transferred, copied
// or reproduced in whole or in part in any manner or form or in or
// on any media by any person other than in accordance with the terms
// of the Licence Agreement supplied with the software, or otherwise
// without the prior written consent of the copyright owners.
//
// This software is distributed WITHOUT ANY WARRANTY, without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE, except where stated in the Licence Agreement supplied with
// the software.
//
//      Created By :            Nikolay Stanchev
//      Created Date :          03-07-2018
//      Created for Project :   FLAME
"""


import pytest
from clmcservice.whoamiapi.conftest import create_test_database, initialise_database, drop_test_database


@pytest.fixture(scope='module', autouse=True)
def testing_db_session():
    test_database = "configtestdb"
    create_test_database(test_database)  # create a database used for executing the unit tests
    db_session, engine = initialise_database(test_database)  # initialise the database with the models and retrieve a db session

    yield db_session  # return the db session if needed in any of the tests

    db_session.remove()  # remove the db session
    engine.dispose()  # dispose from the engine
    drop_test_database(test_database)  # remove the test database
